# variables: 
#   PROJECT: .csproj file name to build
.asp_dotnet_build:
  tags: 
  - windows
  - docker
  image: 
    name: mcr.microsoft.com/dotnet/framework/sdk:4.8
    entrypoint: ["powershell"]
  stage: build
  script:
    - nuget install MSBuild.Microsoft.VisualStudio.Web.targets -Version 14.0.0.3
    - nuget restore
    - MSBuild.exe (Get-ChildItem -Recurse -Include $env:PROJECT".csproj" | %{$_.FullName}) /p:VSToolsPath=$PWD\\MSBuild.Microsoft.VisualStudio.Web.targets.14.0.0.3\\tools\\VSToolsPath\\ /p:RunTest=false /property:Configuration=Release /p:OutputPath=$PWD\\Publish\\$env:PROJECT
  artifacts:
    untracked: false
    expire_in: "1 days"
    name: $PROJECT
    paths:
      - "Publish\\$env:PROJECT\\"